# Wan-2.2 Text-to-Video A14B API

> A14B za pretvorbo besedila v video z izhodom od 480p do 720p, dvema stopnjama vodenja in neobvezno interpolacijo

Ustvari videoposnetek iz besedilnega `prompt`. `num_frames` sega od 17 do 161, `frames_per_second` od 4 do 60, `resolution` pa je 480p, 580p ali 720p v razmerju 16:9, 9:16 ali 1:1. Na voljo sta dve vrednosti vodenja, nastavitev `acceleration` ter interpolacija film ali rife (privzeto ena interpolirana sličica).

- Model id: `wan/v2.2-a14b/text-to-video`
- Made by: Alibaba
- Category: Text to Video
- Output: video
- Price per second of your output video: from $0.04 / second of output video (cheapest run $0.04 (40 API credits))
- Run: `POST https://api.doitong.ru/v1/run/wan/v2.2-a14b/text-to-video`
- Quote: `POST https://api.doitong.ru/v1/quote/wan/v2.2-a14b/text-to-video`
- Docs page: https://doitong.com/sl/developers/models/wan/v2.2-a14b/text-to-video

## Pricing

Price: **from $0.04 / second of output video** (the lowest tier; the quote prices your exact input). Price per second of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

Price by tier:

- 480p: $0.04 / second of output video
- 580p: $0.06 / second of output video
- 720p: $0.08 / second of output video

The full example input below costs $0.405 = 405 API credits (5.0625 s output video × $0.08 (720p)).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/wan/v2.2-a14b/text-to-video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `prompt` |  | string | yes |  |  | Besedilna navodila, ki usmerjajo generiranje videa. |
| `negative_prompt` |  | string | no | `` |  | Negativni poziv, uporabljen pri generiranju videa. |
| `num_frames` |  | integer | no | `81` | 17 – 161 | Število sličic za generiranje z vključujočim razponom 17–161. |
| `frames_per_second` |  | integer \| null | no | `16` | 4 – 60 | Hitrost sličic ustvarjenega videa, ki sprejema vrednosti od 4 do 60; nastavitev `adjust_fps_for_interpolation` na false ohrani to hitrost nespremenjeno. Pri uporabljeni interpolaciji in vrednosti `adjust_fps_for_interpolation` true (privzeto) to hitrost pomnožite z ena plus številom interpoliranih sličic, da dobite končni FPS. Na primer, 16 FPS z 1 interpolirano sličico postane 32 FPS. |
| `seed` |  | integer \| null | no |  |  | Seme, ki omogoča ponovljivo generiranje. Če ga nastavite na None, se seme izbere naključno. |
| `resolution` |  | enum (string) | no | `720p` | `480p`, `580p`, `720p` | Ločljivost izhodnega videa: 480p, 580p ali 720p. |
| `aspect_ratio` |  | enum (string) | no | `16:9` | `16:9`, `9:16`, `1:1` | Razmerje stranic izhodnega videa, bodisi 16:9 bodisi 9:16. |
| `num_inference_steps` |  | integer | no | `27` | 2 – 40 | Število korakov vzorčenja; večje število pomeni daljšo obdelavo in boljšo kakovost. |
| `enable_safety_checker` |  | boolean | no | `false` |  | Varnostno preverjanje vhoda pred obdelavo, ki ga lahko izklopijo le pooblaščeni računi. Zahteve brez pooblastila se vedno preverijo; sicer true omogoči preverjanje. |
| `enable_output_safety_checker` |  | boolean | no | `false` |  | Določa varnostno preverjanje ustvarjenega videa; nastavitev true omogoči preverjanje po generiranju. |
| `enable_prompt_expansion` |  | boolean | no | `false` |  | Velikemu jezikovnemu modelu dovoli obogatitev poziva s podrobnostmi. Ta razširitev ne spremeni pomena poziva. |
| `acceleration` |  | enum (string) | no | `regular` | `none`, `regular` | Nastavitev pospeševanja, pri kateri je priporočena izbira 'regular'. Večje pospeševanje zmanjša kakovost, da skrajša čas generiranja. |
| `guidance_scale` |  | number | no | `3.5` | 1 – 10 | Jakost Classifier-free guidance, pri kateri večje merilo pomeni možno izgubo kakovosti v zameno za natančnejše ujemanje s pozivom. |
| `guidance_scale_2` |  | number | no | `4` | 1 – 10 | Lestvica vodenja, ki določa, kako natančno model v drugi fazi sledi pozivu. |
| `shift` |  | number | no | `5` | 1 – 10 | Nastavitev zamika videa z dovoljenim razponom 1.0–10.0. |
| `interpolator_model` |  | enum (string) | no | `film` | `none`, `film`, `rife` | Nastavitev interpolacije sličic: izberite None za preskok interpolacije ali določite model, ki jo bo izvedel. |
| `num_interpolated_frames` |  | integer | no | `1` | 0 – 4 | V vsako vrzel med dvema ustvarjenima sličicama vstavite 0–4 interpoliranih sličic. |
| `adjust_fps_for_interpolation` |  | boolean | no | `true` |  | Preklop za prilagoditev hitrosti sličic: false ohrani podani FPS, true pa ga pomnoži z ena plus številom interpoliranih sličic. Tako 16 FPS postane 32 FPS, ko je interpolirana 1 sličica in je prilagoditev omogočena. |
| `video_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | Nastavitev kakovosti izhodnega videa, pri kateri višja vrednost zamenja večje datoteke za boljši videz. |
| `video_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | Način zapisovanja videa, pri katerem balanced ponuja kompromis med hitrostjo in kakovostjo. Izberite small za najmanjše datoteke in najpočasnejše zapisovanje; hitrejše zapisovanje vrne rezultate prej, vendar ustvari večje datoteke. |

## Example input

Required parameters only:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

A fuller example:

```json
{
  "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/wan/v2.2-a14b/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/wan/v2.2-a14b/text-to-video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/wan/v2.2-a14b/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "wan/v2.2-a14b/text-to-video",
      "input": {
        "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.2-a14b/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 405,
    "usd": "0.405",
    "charged": 405,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "A close-up of a young woman smiling gently in the rain, raindrops glistening on her face and eyelashes. The video captures the delicate details of her expression and the water droplets, with soft light reflecting off her skin in the rainy atmosphere.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | Video datoteka, ustvarjena z generiranjem. |
| `prompt` | string | Besedilni poziv, uporabljen za generiranje videa. |
| `seed` | integer | Vrednost semena, uporabljena pri generiranju. |

## Related models

- [Wan · v2.2 A14b · Text to Image](https://doitong.com/developers/models/wan/v2.2-a14b/text-to-image.md) (`wan/v2.2-a14b/text-to-image`): $0.025 / image
- [Wan v2.2 A14B](https://doitong.com/developers/models/wan/v2.2-a14b/image-to-video.md) (`wan/v2.2-a14b/image-to-video`): from $0.04 / second of output video
- [Wan · v2.2 A14b · Video to Video](https://doitong.com/developers/models/wan/v2.2-a14b/video-to-video.md) (`wan/v2.2-a14b/video-to-video`): from $0.04 / second of output video
- [Wan-2.2 Speech-to-Video 14B](https://doitong.com/developers/models/wan/v2.2-14b/speech-to-video.md) (`wan/v2.2-14b/speech-to-video`): from $0.10 / second of output video
- [Wan 3.0 Text to Video](https://doitong.com/developers/models/alibaba/wan-3.0/text-to-video.md) (`alibaba/wan-3.0/text-to-video`): from $0.05 / second
- [FLUX 3 Max Text to Video](https://doitong.com/developers/models/blackforestlabs/flux-3-max/text-to-video.md) (`blackforestlabs/flux-3-max/text-to-video`): from $0.0425 / second of output video
- [Grok Imagine Video 1.5 Text to Video](https://doitong.com/developers/models/xai/grok-imagine-video/v1.5/text-to-video.md) (`xai/grok-imagine-video/v1.5/text-to-video`): from $0.08 / second
- [Kling 3.0 Pro Text to Video](https://doitong.com/developers/models/kling-video/v3/pro/text-to-video.md) (`kling-video/v3/pro/text-to-video`): from $0.112 / second

## Links

- HTML page: https://doitong.com/developers/models/wan/v2.2-a14b/text-to-video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=wan/v2.2-a14b/text-to-video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/wan/v2.2-a14b/text-to-video
